- [HTTP request](https://developers.google.com/wallet/identity/provisioning/api-reference/google-hosted/rest/v1/be.mdl.canonical.:issuerId.v1/notifyCredentialStatusUpdateAvailable#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/wallet/identity/provisioning/api-reference/google-hosted/rest/v1/be.mdl.canonical.:issuerId.v1/notifyCredentialStatusUpdateAvailable#body.request_body)
  - [JSON representation](https://developers.google.com/wallet/identity/provisioning/api-reference/google-hosted/rest/v1/be.mdl.canonical.:issuerId.v1/notifyCredentialStatusUpdateAvailable#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/wallet/identity/provisioning/api-reference/google-hosted/rest/v1/be.mdl.canonical.:issuerId.v1/notifyCredentialStatusUpdateAvailable#body.response_body)
  - [JSON representation](https://developers.google.com/wallet/identity/provisioning/api-reference/google-hosted/rest/v1/be.mdl.canonical.:issuerId.v1/notifyCredentialStatusUpdateAvailable#body.NotifyCredentialStatusUpdateAvailableResponse.SCHEMA_REPRESENTATION)

An endpoint to indicate that there is a new status update that can be retrieved using GetCredentialStatus.

### HTTP request

`POST https://vgw.googleapis.com/be/mdl/canonical/:issuerId/v1/notifyCredentialStatusUpdateAvailable`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requestMetadata": { object (`https://developers.google.com/wallet/identity/provisioning/api-reference/google-hosted/rest/v1/RequestMetadata`) }, "deviceReferenceId": string, "credentialId": string } ``` |

| Fields ||
|---|---|
| `requestMetadata` | ``object (`https://developers.google.com/wallet/identity/provisioning/api-reference/google-hosted/rest/v1/RequestMetadata`)`` Required. The metadata about the request, required in all requests. |
| `deviceReferenceId` | `string` Required. The id that corresponds to the device and the identity key associated with the device. This is NOT a device id, meaning that if the user were to have two separate credentials on the same device, this id would differ between them. This id is supplied in all requests, and can be used to correlate requests. |
| `credentialId` | `string` Required. An opaque identifier representing a credential. Ex: UUID |

### Response body

An acknowledgement that there is a credential status update available.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "responseMetadata": { object (`https://developers.google.com/wallet/identity/provisioning/api-reference/google-hosted/rest/v1/ResponseMetadata`) } } ``` |

| Fields ||
|---|---|
| `responseMetadata` | ``object (`https://developers.google.com/wallet/identity/provisioning/api-reference/google-hosted/rest/v1/ResponseMetadata`)`` Required. The metadata about the response, required in all responses. |